<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://wiki.openmoko.org/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;feed=atom&amp;action=history</id>
		<title>Talk:NeoTool - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;feed=atom&amp;action=history"/>
		<link rel="alternate" type="text/html" href="http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;action=history"/>
		<updated>2013-06-19T10:12:35Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.19.6</generator>

	<entry>
		<id>http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82816&amp;oldid=prev</id>
		<title>Antisol: reply to chris</title>
		<link rel="alternate" type="text/html" href="http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82816&amp;oldid=prev"/>
				<updated>2010-11-16T14:20:44Z</updated>
		
		<summary type="html">&lt;p&gt;reply to chris&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
				&lt;col class='diff-marker' /&gt;
				&lt;col class='diff-content' /&gt;
				&lt;col class='diff-marker' /&gt;
				&lt;col class='diff-content' /&gt;
			&lt;tr valign='top'&gt;
			&lt;td colspan='2' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
			&lt;td colspan='2' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 14:20, 16 November 2010&lt;/td&gt;
			&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot;&gt;Line 60:&lt;/td&gt;
&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot;&gt;Line 60:&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;/td&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;--ChrisPZV 11:45, 22 October 2010 (UTC)&lt;/div&gt;&lt;/td&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;--ChrisPZV 11:45, 22 October 2010 (UTC)&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;Hi Chris,&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;Ooh! a patch! Thanks!&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;Sorry I haven't had a chance to get back to you, I've been meaning to check this out, but I haven't used my freerunner in nearly a year and haven't gotten around to trying out your patch. it looks OK though.&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;To make it send output to stdout for streaming across our ssh connection, you could try using something like '-o /dev/stdout', or you could try using a FIFO buffer using the 'mkfifo' command.&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;The reality of the situation is that I'm not particularly likely to add anything to NeoTool - at one time I had grand plans to rewrite it in something other than bash, but since I'm not using my FreeRunner anymore I don't see myself making any further improvements unless I have a resurgence of interest in this (terribly horribly awfully awful) device.&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;Having said that, I've applied your patch to the version I'm hosting (which is the 'official' download link on the wiki page - http://users.on.net/~antisol/neotool) and labelled it v1.3. If you want to play around with getting the ubifs stuff working properly and send me another patch, I'll be happy to apply it!&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;If you want to talk to me about neotool, probably your best option is to email me (see the bottom of the main neotool wiki page) :)&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;Cheers,&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;-Dale&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</summary>
		<author><name>Antisol</name></author>	</entry>

	<entry>
		<id>http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82719&amp;oldid=prev</id>
		<title>ChrisPZV at 11:45, 22 October 2010</title>
		<link rel="alternate" type="text/html" href="http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82719&amp;oldid=prev"/>
				<updated>2010-10-22T11:45:29Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
				&lt;col class='diff-marker' /&gt;
				&lt;col class='diff-content' /&gt;
				&lt;col class='diff-marker' /&gt;
				&lt;col class='diff-content' /&gt;
			&lt;tr valign='top'&gt;
			&lt;td colspan='2' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
			&lt;td colspan='2' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 11:45, 22 October 2010&lt;/td&gt;
			&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot;&gt;Line 58:&lt;/td&gt;
&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot;&gt;Line 58:&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;/td&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;Another feature request: Automatic installation of mkfs-jffs2/mkfs-ubifs if not found on openmoko device.&lt;/div&gt;&lt;/td&gt;&lt;td class='diff-marker'&gt;&amp;#160;&lt;/td&gt;&lt;td style=&quot;background: #eee; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;Another feature request: Automatic installation of mkfs-jffs2/mkfs-ubifs if not found on openmoko device.&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td colspan=&quot;2&quot;&gt;&amp;#160;&lt;/td&gt;&lt;td class='diff-marker'&gt;+&lt;/td&gt;&lt;td style=&quot;background: #cfc; color:black; font-size: smaller;&quot;&gt;&lt;div&gt;&lt;ins style=&quot;color: red; font-weight: bold; text-decoration: none;&quot;&gt;--ChrisPZV 11:45, 22 October 2010 (UTC)&lt;/ins&gt;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</summary>
		<author><name>ChrisPZV</name></author>	</entry>

	<entry>
		<id>http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82718&amp;oldid=prev</id>
		<title>ChrisPZV: New page: Since I installed SHR-U from Oct. 2010 recently I thougt about ubifs support for neotool... What do you think?  Here's a patch against version 1.2 of neotool:  &lt;code&gt;&lt;pre&gt; --- neotool.sh.c...</title>
		<link rel="alternate" type="text/html" href="http://wiki.openmoko.org/index.php?title=Talk:NeoTool&amp;diff=82718&amp;oldid=prev"/>
				<updated>2010-10-22T07:59:57Z</updated>
		
		<summary type="html">&lt;p&gt;New page: Since I installed SHR-U from Oct. 2010 recently I thougt about ubifs support for neotool... What do you think?  Here&amp;#039;s a patch against version 1.2 of neotool:  &amp;lt;code&amp;gt;&amp;lt;pre&amp;gt; --- neotool.sh.c...&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;Since I installed SHR-U from Oct. 2010 recently I thougt about ubifs support for neotool... What do you think?&lt;br /&gt;
&lt;br /&gt;
Here's a patch against version 1.2 of neotool:&lt;br /&gt;
&lt;br /&gt;
&amp;lt;code&amp;gt;&amp;lt;pre&amp;gt;&lt;br /&gt;
--- neotool.sh.cpx	2010-06-09 19:53:40.000000000 +0200&lt;br /&gt;
+++ neotool.sh	2010-10-22 09:45:57.000000000 +0200&lt;br /&gt;
@@ -493,7 +493,34 @@&lt;br /&gt;
 				echo Cleanup...&lt;br /&gt;
 				ssh root@$FRIP &amp;quot;umount /var/tmp/root; rmdir /var/tmp/root&amp;quot;&lt;br /&gt;
 				;;&lt;br /&gt;
+			&amp;quot;ubifs&amp;quot;)&lt;br /&gt;
+			&lt;br /&gt;
+				ip_test&lt;br /&gt;
+				if [ $? != 0 ]; then&lt;br /&gt;
+					return&lt;br /&gt;
+				fi&lt;br /&gt;
+				&lt;br /&gt;
+				echo ' - Checking device for mkfs-ubifs...'&lt;br /&gt;
+				if [ -z &amp;quot;`ssh root@$FRIP 'opkg status mkfs-ubifs'`&amp;quot; ]; then&lt;br /&gt;
+					zenity --error --text 'prerequisite mkfs-ubifs is not installed on the device! \n\n do &amp;quot;opkg install mkfs-ubifs&amp;quot; and try again.'&lt;br /&gt;
+					return&lt;br /&gt;
+				fi&lt;br /&gt;
 &lt;br /&gt;
+				echo &amp;quot; - Mounting flash at /var/tmp/root...&amp;quot;&lt;br /&gt;
+				ssh root@$FRIP &amp;quot;mkdir /var/tmp/root; mount -t ubifs ubi0:om-gta02-rootfs /var/tmp/root&amp;quot;&lt;br /&gt;
+&lt;br /&gt;
+				echo ' - Performing backup... (this will take a while)'&lt;br /&gt;
+				if [ -z &amp;quot;`which pv 2&amp;gt;/dev/null`&amp;quot; ]; then	&lt;br /&gt;
+					#pv is not installed, so don't use it...&lt;br /&gt;
+					ssh root@$FRIP &amp;quot;mkfs.ubifs -r /var/tmp/root -o- -e 128KiB -m 512 -c 100 -x lzo&amp;quot; &amp;gt; $FSIMG&lt;br /&gt;
+				else&lt;br /&gt;
+					# FIXME: the mkfs.ubifs wants to have '-o &amp;lt;file&amp;gt;' option, how to pipe the data stream?&lt;br /&gt;
+					ssh root@$FRIP &amp;quot;mkfs.ubifs -r /var/tmp/root -o- -e 128KiB -m 512 -c 100 -x lzo&amp;quot; | pv -W &amp;gt; $FSIMG&lt;br /&gt;
+				fi&lt;br /&gt;
+				&lt;br /&gt;
+				echo Cleanup...&lt;br /&gt;
+				ssh root@$FRIP &amp;quot;umount /var/tmp/root; rmdir /var/tmp/root&amp;quot;&lt;br /&gt;
+				;;&lt;br /&gt;
 			&amp;quot;tar&amp;quot;)&lt;br /&gt;
 				echo ' - Performing backup... (this will take a while)'&lt;br /&gt;
 				if [ -z &amp;quot;`which pv 2&amp;gt;/dev/null`&amp;quot; ]; then	&lt;br /&gt;
@@ -637,7 +664,7 @@&lt;br /&gt;
 &lt;br /&gt;
 function root_backup_type {&lt;br /&gt;
 		old_rootfs_type=$rootfs_type&lt;br /&gt;
-		rootfs_type=$(zenity --list --text &amp;quot;Choose rootfs backup type:\n\nIf you have modified your rootsf filename, this will reset it to the default.&amp;quot; --column &amp;quot;Format&amp;quot; --column &amp;quot;Description&amp;quot; jffs2 &amp;quot;Flashable JFFS2 Image&amp;quot; &amp;quot;tar&amp;quot; &amp;quot;For SD card install&amp;quot;)&lt;br /&gt;
+		rootfs_type=$(zenity --list --text &amp;quot;Choose rootfs backup type:\n\nIf you have modified your rootsf filename, this will reset it to the default.&amp;quot; --column &amp;quot;Format&amp;quot; --column &amp;quot;Description&amp;quot; jffs2 &amp;quot;Flashable JFFS2 Image&amp;quot; ubifs &amp;quot;Flashable ubifs Image&amp;quot; &amp;quot;tar&amp;quot; &amp;quot;For SD card install&amp;quot;)&lt;br /&gt;
 		if [ -z &amp;quot;$rootfs_type&amp;quot; ]; then&lt;br /&gt;
 			rootfs_type=$old_rootfs_type&lt;br /&gt;
 		fi&lt;br /&gt;
&amp;lt;/pre&amp;gt;&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
It does not work at the moment because the mkfs.ubifs command wants to have an output option '-o &amp;lt;filename&amp;gt;'. How to make it stream the output to stdout so we can pipe it?&lt;br /&gt;
&lt;br /&gt;
To flash ubifs files nothing has to be changed, I've successfully done this using neotool v1.2.&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
Another feature request: Automatic installation of mkfs-jffs2/mkfs-ubifs if not found on openmoko device.&lt;/div&gt;</summary>
		<author><name>ChrisPZV</name></author>	</entry>

	</feed>